Package org.jboss.logging.processor.model

## Interface DelegatingTypeElement

All Superinterfaces:
  `javax.lang.model.AnnotatedConstruct`, `DelegatingElement`, `javax.lang.model.element.Element`, `javax.lang.model.element.Parameterizable`, `javax.lang.model.element.QualifiedNameable`, `javax.lang.model.element.TypeElement`

All Known Subinterfaces:
  `MessageInterface`

    public interface DelegatingTypeElement
    extends javax.lang.model.element.TypeElement, DelegatingElement

A delegating `TypeElement` interface. All methods are invoked on the delegate element by default.

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default javax.lang.model.type.TypeMirror` `asType()`
`javax.lang.model.element.TypeElement` `getDelegate()` The element to delegate the default methods to.
`default java.util.List<? extends javax.lang.model.element.Element>` `getEnclosedElements()`
`default javax.lang.model.element.Element` `getEnclosingElement()`
`default java.util.List<? extends javax.lang.model.type.TypeMirror>` `getInterfaces()`
`default javax.lang.model.element.NestingKind` `getNestingKind()`
`default javax.lang.model.element.Name` `getQualifiedName()`
`default javax.lang.model.element.Name` `getSimpleName()`
`default javax.lang.model.type.TypeMirror` `getSuperclass()`
`default java.util.List<? extends javax.lang.model.element.TypeParameterElement>` `getTypeParameters()`

### Methods inherited from interface org.jboss.logging.processor.model.DelegatingElement

`accept, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, getModifiers, isAnnotatedWith`

### Methods inherited from interface javax.lang.model.element.Element

`equals, hashCode`

### Method Detail

#### getDelegate

    javax.lang.model.element.TypeElement getDelegate()

Description copied from interface: `DelegatingElement`
The element to delegate the default methods to.

Specified by:
  `getDelegate` in interface `DelegatingElement`
Returns:
  the delegate

#### asType

    default javax.lang.model.type.TypeMirror asType()

Specified by:
  `asType` in interface `DelegatingElement`
Specified by:
  `asType` in interface `javax.lang.model.element.Element`

#### getEnclosedElements

    default java.util.List<? extends javax.lang.model.element.Element> getEnclosedElements()

Specified by:
  `getEnclosedElements` in interface `DelegatingElement`
Specified by:
  `getEnclosedElements` in interface `javax.lang.model.element.Element`
Specified by:
  `getEnclosedElements` in interface `javax.lang.model.element.TypeElement`

#### getNestingKind

    default javax.lang.model.element.NestingKind getNestingKind()

Specified by:
  `getNestingKind` in interface `javax.lang.model.element.TypeElement`

#### getQualifiedName

    default javax.lang.model.element.Name getQualifiedName()

Specified by:
  `getQualifiedName` in interface `javax.lang.model.element.QualifiedNameable`
Specified by:
  `getQualifiedName` in interface `javax.lang.model.element.TypeElement`

#### getSimpleName

    default javax.lang.model.element.Name getSimpleName()

Specified by:
  `getSimpleName` in interface `DelegatingElement`
Specified by:
  `getSimpleName` in interface `javax.lang.model.element.Element`
Specified by:
  `getSimpleName` in interface `javax.lang.model.element.TypeElement`

#### getSuperclass

    default javax.lang.model.type.TypeMirror getSuperclass()

Specified by:
  `getSuperclass` in interface `javax.lang.model.element.TypeElement`

#### getInterfaces

    default java.util.List<? extends javax.lang.model.type.TypeMirror> getInterfaces()

Specified by:
  `getInterfaces` in interface `javax.lang.model.element.TypeElement`

#### getTypeParameters

    default java.util.List<? extends javax.lang.model.element.TypeParameterElement> getTypeParameters()

Specified by:
  `getTypeParameters` in interface `javax.lang.model.element.Parameterizable`
Specified by:
  `getTypeParameters` in interface `javax.lang.model.element.TypeElement`

#### getEnclosingElement

    default javax.lang.model.element.Element getEnclosingElement()

Specified by:
  `getEnclosingElement` in interface `DelegatingElement`
Specified by:
  `getEnclosingElement` in interface `javax.lang.model.element.Element`
Specified by:
  `getEnclosingElement` in interface `javax.lang.model.element.TypeElement`